Nim Budget¶
Nim Budget - Search Business Units¶
HTTP Request
POST /api/nim-budgets/search
📋 Description: Submits a request to search for budget allocations within the Nakisa Portfolio Management Suite, enabling users to analyze financial data related to portfolios, assets, and real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing search criteria and filters for portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "idEqual": 0,
3 "idIn": [
4 0
5 ],
6 "displayIdLike": "string",
7 "displayIdEqual": "string",
8 "projectLike": "string",
9 "yearEqual": 0,
10 "companyIdEqual": 0,
11 "departmentIdEqual": 0,
12 "statusIn": [
13 "DRAFT"
14 ],
15 "statusEqual": "DRAFT",
16 "requestCategoryIdIn": [
17 0
18 ],
19 "requestCategoryIdEqual": 0,
20 "workflowStepNameEqual": "string",
21 "createdByIdLike": "string",
22 "archivedEqual": true,
23 "masterBudgetIdEqual": 0,
24 "isMasterBudgetIdNull": true,
25 "leaseAreaIdIn": [
26 0
27 ],
28 "leaseAreaIdEqual": 0,
29 "yearGreaterThanOrEqual": 0,
30 "yearLessThanOrEqual": 0,
31 "createdOnGreaterThanOrEqual": "2019-08-24T14:15:22Z",
32 "createdOnLessThanOrEqual": "2019-08-24T14:15:22Z",
33 "createdOnEqual": "2019-08-24T14:15:22Z"
34}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "pageSize": 0,
7 "unpaged": true,
8 "paged": true,
9 "offset": 0,
10 "sort": {
11 "sorted": true,
12 "unsorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "createdBy": "string",
21 "lastModifiedBy": "string",
22 "createdDate": "2019-08-24T14:15:22Z",
23 "lastModifiedDate": "2019-08-24T14:15:22Z",
24 "archived": true,
25 "externalId": "string",
26 "id": 0,
27 "name": "string",
28 "startDate": "2019-08-24",
29 "dueDate": "2019-08-24",
30 "departmentId": 0,
31 "statusId": 0,
32 "totalBudgetAmount": 0,
33 "allocatedBudgetAmount": 0,
34 "owner": "string",
35 "status": {
36 "createdBy": "string",
37 "lastModifiedBy": "string",
38 "createdDate": "2019-08-24T14:15:22Z",
39 "lastModifiedDate": "2019-08-24T14:15:22Z",
40 "archived": true,
41 "externalId": "string",
42 "id": 0,
43 "priority": 0,
44 "internalId": 0,
45 "pickListCode": "string",
46 "pickListLabel": "string",
47 "label": "string",
48 "cultureId": 0,
49 "labelDtos": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "cultureId": 0,
59 "value": "string"
60 }
61 ]
62 },
63 "department": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "priority": 0,
72 "internalId": 0,
73 "pickListCode": "string",
74 "pickListLabel": "string",
75 "label": "string",
76 "cultureId": 0,
77 "labelDtos": [
78 {
79 "createdBy": "string",
80 "lastModifiedBy": "string",
81 "createdDate": "2019-08-24T14:15:22Z",
82 "lastModifiedDate": "2019-08-24T14:15:22Z",
83 "archived": true,
84 "externalId": "string",
85 "id": 0,
86 "cultureId": 0,
87 "value": "string"
88 }
89 ]
90 },
91 "nimBudgetLinkDtos": [
92 {
93 "createdBy": "string",
94 "lastModifiedBy": "string",
95 "createdDate": "2019-08-24T14:15:22Z",
96 "lastModifiedDate": "2019-08-24T14:15:22Z",
97 "archived": true,
98 "externalId": "string",
99 "id": 0,
100 "nimBudgetId": 0,
101 "nimInvestmentAreaId": 0,
102 "nimBudgetDto": {},
103 "nimBudgetInvestmentAreaDto": {
104 "id": 0,
105 "createdOn": "2019-08-24T14:15:22Z",
106 "createdById": "string",
107 "modifiedOn": "2019-08-24T14:15:22Z",
108 "modifiedById": "string",
109 "createdByName": "string",
110 "lastModifiedByName": "string",
111 "amount": 0,
112 "originalCurrencyId": 0,
113 "originalCurrencyDisplayId": "string",
114 "originalAmount": 0,
115 "rate": 0,
116 "rateDate": "2019-08-24",
117 "investmentAreaId": 0,
118 "investmentArea": {
119 "id": 0,
120 "createdOn": "2019-08-24T14:15:22Z",
121 "createdById": "string",
122 "modifiedOn": "2019-08-24T14:15:22Z",
123 "modifiedById": "string",
124 "createdByName": "string",
125 "lastModifiedByName": "string",
126 "displayId": "string",
127 "name": "string",
128 "assetClasses": [
129 0
130 ]
131 },
132 "budgetYearDistributions": [
133 {
134 "id": 0,
135 "createdOn": "2019-08-24T14:15:22Z",
136 "createdById": "string",
137 "modifiedOn": "2019-08-24T14:15:22Z",
138 "modifiedById": "string",
139 "createdByName": "string",
140 "lastModifiedByName": "string",
141 "year": 0,
142 "amount": 0,
143 "originalCurrencyId": 0,
144 "originalCurrencyDisplayId": "string",
145 "originalAmount": 0,
146 "rate": 0,
147 "rateDate": "2019-08-24",
148 "spent": 0,
149 "budgetInvestmentAreaId": 0
150 }
151 ],
152 "investmentRequest": {
153 "id": 0,
154 "createdOn": "2019-08-24T14:15:22Z",
155 "createdById": "string",
156 "modifiedOn": "2019-08-24T14:15:22Z",
157 "modifiedById": "string",
158 "createdByName": "string",
159 "lastModifiedByName": "string",
160 "requestedAmount": 0,
161 "companyCurrency": "string",
162 "investmentAreaIds": [
163 0
164 ],
165 "requestCategoryId": 0,
166 "displayId": "string",
167 "leaseAreaId": 0,
168 "leaseAreaDisplayId": "string",
169 "leaseAreaName": "string",
170 "businessUnitId": 0,
171 "businessUnitDisplayId": "string",
172 "companyId": 0,
173 "companyDisplayId": "string",
174 "departmentId": 0,
175 "departmentDisplayId": "string",
176 "title": "string",
177 "investmentCurrencyId": 0,
178 "investmentCurrencyDisplayId": "string",
179 "companyCurrencyId": 0,
180 "companyCurrencyDisplayId": "string",
181 "reportingCurrencyId": 0,
182 "reportingCurrencyDisplayId": "string",
183 "masterInvestmentRequestId": 0,
184 "inceptionExchangeRate": 0,
185 "exchangeRateValidFrom": "2019-08-24",
186 "weightedAverageExchangeRate": 0,
187 "status": "DRAFT",
188 "workflowStepName": "string",
189 "description": "string",
190 "justification": "string",
191 "totalRequestedAmount": 0,
192 "totalExpense": 0,
193 "totalSpent": 0,
194 "originalRequestedAmount": 0,
195 "modifiedAmount": 0,
196 "currentAvailable": 0,
197 "modificationId": 0,
198 "requestCategory": {
199 "id": 0,
200 "createdOn": "2019-08-24T14:15:22Z",
201 "createdById": "string",
202 "modifiedOn": "2019-08-24T14:15:22Z",
203 "modifiedById": "string",
204 "createdByName": "string",
205 "lastModifiedByName": "string",
206 "displayId": "string",
207 "title": "string",
208 "subTitle": "string",
209 "icon": "string",
210 "budgetTitle": "string",
211 "budgetSubTitle": "string",
212 "investmentTitle": "string",
213 "investmentSubTitle": "string"
214 },
215 "expectedInitiationDate": "2019-08-24",
216 "expectedCompletionDate": "2019-08-24",
217 "actualInitiationDate": "2019-08-24",
218 "actualCompletionDate": "2019-08-24",
219 "requestUrgency": "string",
220 "leaseArea": {
221 "id": 0,
222 "status": "CREATED",
223 "displayId": "string",
224 "name": "string",
225 "businessUnitId": 0
226 },
227 "businessUnit": {
228 "id": 0,
229 "status": "CREATED",
230 "displayId": "string",
231 "name": "string",
232 "leaseAreaId": 0,
233 "companyId": 0
234 },
235 "company": {
236 "id": 0,
237 "status": "CREATED",
238 "displayId": "string",
239 "erpSystemId": 0,
240 "erpSystemDisplayId": "string",
241 "countryId": 0,
242 "countryDisplayId": "string",
243 "postingPeriodVariantId": 0,
244 "name": "string",
245 "postingPeriodVariantDisplayId": "string",
246 "controllingAreaId": 0,
247 "controllingAreaDisplayId": "string",
248 "chartOfAccountId": 0,
249 "chartOfAccountDisplayId": "string",
250 "fiscalVariantId": 0,
251 "fiscalVariantDisplayId": "string",
252 "chartOfDepreciationId": 0,
253 "chartOfDepreciationDisplayId": "string",
254 "purchasingOrganizationId": 0,
255 "assetId": 0,
256 "exchangeRateTypeId": 0,
257 "plantId": 0,
258 "incrementalBorrowingRateId": 0,
259 "businessUnitId": 0,
260 "projectId": 0,
261 "transferVariantId": 0,
262 "partnerId": 0,
263 "departmentId": 0,
264 "accountingStandardId": 0,
265 "generalLedgerAccountId": 0,
266 "consumerPriceIndexCategoryId": 0,
267 "costCenterId": 0,
268 "costCenterRelationValidFrom": "2019-08-24",
269 "costCenterRelationValidTo": "2019-08-24"
270 },
271 "department": {
272 "id": 0,
273 "status": "CREATED",
274 "displayId": "string",
275 "name": "string",
276 "companyId": 0,
277 "leaseGroupId": 0
278 },
279 "linkedBudgets": [
280 {
281 "id": 0,
282 "createdOn": "2019-08-24T14:15:22Z",
283 "createdById": "string",
284 "modifiedOn": "2019-08-24T14:15:22Z",
285 "modifiedById": "string",
286 "createdByName": "string",
287 "lastModifiedByName": "string",
288 "requestCategoryId": 0,
289 "year": 0,
290 "displayId": "string",
291 "project": "string",
292 "requestCategory": {
293 "id": 0,
294 "createdOn": "2019-08-24T14:15:22Z",
295 "createdById": "string",
296 "modifiedOn": "2019-08-24T14:15:22Z",
297 "modifiedById": "string",
298 "createdByName": "string",
299 "lastModifiedByName": "string",
300 "displayId": "string",
301 "title": "string",
302 "subTitle": "string",
303 "icon": "string",
304 "budgetTitle": "string",
305 "budgetSubTitle": "string",
306 "investmentTitle": "string",
307 "investmentSubTitle": "string"
308 }
309 }
310 ],
311 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
312 0
313 ]
314 },
315 "investmentRequests": [
316 {
317 "id": 0,
318 "createdOn": "2019-08-24T14:15:22Z",
319 "createdById": "string",
320 "modifiedOn": "2019-08-24T14:15:22Z",
321 "modifiedById": "string",
322 "createdByName": "string",
323 "lastModifiedByName": "string",
324 "requestedAmount": 0,
325 "companyCurrency": "string",
326 "investmentAreaIds": [
327 0
328 ],
329 "requestCategoryId": 0,
330 "displayId": "string",
331 "leaseAreaId": 0,
332 "leaseAreaDisplayId": "string",
333 "leaseAreaName": "string",
334 "businessUnitId": 0,
335 "businessUnitDisplayId": "string",
336 "companyId": 0,
337 "companyDisplayId": "string",
338 "departmentId": 0,
339 "departmentDisplayId": "string",
340 "title": "string",
341 "investmentCurrencyId": 0,
342 "investmentCurrencyDisplayId": "string",
343 "companyCurrencyId": 0,
344 "companyCurrencyDisplayId": "string",
345 "reportingCurrencyId": 0,
346 "reportingCurrencyDisplayId": "string",
347 "masterInvestmentRequestId": 0,
348 "inceptionExchangeRate": 0,
349 "exchangeRateValidFrom": "2019-08-24",
350 "weightedAverageExchangeRate": 0,
351 "status": "DRAFT",
352 "workflowStepName": "string",
353 "description": "string",
354 "justification": "string",
355 "totalRequestedAmount": 0,
356 "totalExpense": 0,
357 "totalSpent": 0,
358 "originalRequestedAmount": 0,
359 "modifiedAmount": 0,
360 "currentAvailable": 0,
361 "modificationId": 0,
362 "requestCategory": {
363 "id": 0,
364 "createdOn": "2019-08-24T14:15:22Z",
365 "createdById": "string",
366 "modifiedOn": "2019-08-24T14:15:22Z",
367 "modifiedById": "string",
368 "createdByName": "string",
369 "lastModifiedByName": "string",
370 "displayId": "string",
371 "title": "string",
372 "subTitle": "string",
373 "icon": "string",
374 "budgetTitle": "string",
375 "budgetSubTitle": "string",
376 "investmentTitle": "string",
377 "investmentSubTitle": "string"
378 },
379 "expectedInitiationDate": "2019-08-24",
380 "expectedCompletionDate": "2019-08-24",
381 "actualInitiationDate": "2019-08-24",
382 "actualCompletionDate": "2019-08-24",
383 "requestUrgency": "string",
384 "leaseArea": {
385 "id": 0,
386 "status": "CREATED",
387 "displayId": "string",
388 "name": "string",
389 "businessUnitId": 0
390 },
391 "businessUnit": {
392 "id": 0,
393 "status": "CREATED",
394 "displayId": "string",
395 "name": "string",
396 "leaseAreaId": 0,
397 "companyId": 0
398 },
399 "company": {
400 "id": 0,
401 "status": "CREATED",
402 "displayId": "string",
403 "erpSystemId": 0,
404 "erpSystemDisplayId": "string",
405 "countryId": 0,
406 "countryDisplayId": "string",
407 "postingPeriodVariantId": 0,
408 "name": "string",
409 "postingPeriodVariantDisplayId": "string",
410 "controllingAreaId": 0,
411 "controllingAreaDisplayId": "string",
412 "chartOfAccountId": 0,
413 "chartOfAccountDisplayId": "string",
414 "fiscalVariantId": 0,
415 "fiscalVariantDisplayId": "string",
416 "chartOfDepreciationId": 0,
417 "chartOfDepreciationDisplayId": "string",
418 "purchasingOrganizationId": 0,
419 "assetId": 0,
420 "exchangeRateTypeId": 0,
421 "plantId": 0,
422 "incrementalBorrowingRateId": 0,
423 "businessUnitId": 0,
424 "projectId": 0,
425 "transferVariantId": 0,
426 "partnerId": 0,
427 "departmentId": 0,
428 "accountingStandardId": 0,
429 "generalLedgerAccountId": 0,
430 "consumerPriceIndexCategoryId": 0,
431 "costCenterId": 0,
432 "costCenterRelationValidFrom": "2019-08-24",
433 "costCenterRelationValidTo": "2019-08-24"
434 },
435 "department": {
436 "id": 0,
437 "status": "CREATED",
438 "displayId": "string",
439 "name": "string",
440 "companyId": 0,
441 "leaseGroupId": 0
442 },
443 "linkedBudgets": [
444 {
445 "id": 0,
446 "createdOn": "2019-08-24T14:15:22Z",
447 "createdById": "string",
448 "modifiedOn": "2019-08-24T14:15:22Z",
449 "modifiedById": "string",
450 "createdByName": "string",
451 "lastModifiedByName": "string",
452 "requestCategoryId": 0,
453 "year": 0,
454 "displayId": "string",
455 "project": "string",
456 "requestCategory": {}
457 }
458 ],
459 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
460 0
461 ]
462 }
463 ],
464 "totalSpent": 0,
465 "totalReserved": 0,
466 "budgetBalance": 0
467 },
468 "nimInvestmentAreaDto": {
469 "id": 0,
470 "createdOn": "2019-08-24T14:15:22Z",
471 "createdById": "string",
472 "modifiedOn": "2019-08-24T14:15:22Z",
473 "modifiedById": "string",
474 "createdByName": "string",
475 "lastModifiedByName": "string",
476 "displayId": "string",
477 "name": "string",
478 "assetClasses": [
479 0
480 ]
481 }
482 }
483 ]
484 }
485 ],
486 "number": 0,
487 "sort": {
488 "sorted": true,
489 "unsorted": true,
490 "empty": true
491 },
492 "first": true,
493 "last": true,
494 "empty": true
495}
Nim Budget - Post¶
HTTP Request
POST /api/nim-budgets/expenses
📋 Description: Creates a new expense entry within the budget framework of the Nakisa Portfolio Management Suite, enabling users to effectively manage and analyze financial allocations related to portfolios, assets, and real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
expensePostDto |
query |
true |
Data transfer object containing the details of the expense to be recorded within the Nakisa Portfolio Management Suite, relevant for portfolio and asset analytics in real estate property management. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "successForAllPostings": true,
3 "errorMessage": "string",
4 "budgetDtoExpensePostedOn": {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "name": "string",
13 "startDate": "2019-08-24",
14 "dueDate": "2019-08-24",
15 "departmentId": 0,
16 "statusId": 0,
17 "totalBudgetAmount": 0,
18 "allocatedBudgetAmount": 0,
19 "owner": "string",
20 "status": {
21 "createdBy": "string",
22 "lastModifiedBy": "string",
23 "createdDate": "2019-08-24T14:15:22Z",
24 "lastModifiedDate": "2019-08-24T14:15:22Z",
25 "archived": true,
26 "externalId": "string",
27 "id": 0,
28 "priority": 0,
29 "internalId": 0,
30 "pickListCode": "string",
31 "pickListLabel": "string",
32 "label": "string",
33 "cultureId": 0,
34 "labelDtos": [
35 {
36 "createdBy": "string",
37 "lastModifiedBy": "string",
38 "createdDate": "2019-08-24T14:15:22Z",
39 "lastModifiedDate": "2019-08-24T14:15:22Z",
40 "archived": true,
41 "externalId": "string",
42 "id": 0,
43 "cultureId": 0,
44 "value": "string"
45 }
46 ]
47 },
48 "department": {
49 "createdBy": "string",
50 "lastModifiedBy": "string",
51 "createdDate": "2019-08-24T14:15:22Z",
52 "lastModifiedDate": "2019-08-24T14:15:22Z",
53 "archived": true,
54 "externalId": "string",
55 "id": 0,
56 "priority": 0,
57 "internalId": 0,
58 "pickListCode": "string",
59 "pickListLabel": "string",
60 "label": "string",
61 "cultureId": 0,
62 "labelDtos": [
63 {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "cultureId": 0,
72 "value": "string"
73 }
74 ]
75 },
76 "nimBudgetLinkDtos": [
77 {
78 "createdBy": "string",
79 "lastModifiedBy": "string",
80 "createdDate": "2019-08-24T14:15:22Z",
81 "lastModifiedDate": "2019-08-24T14:15:22Z",
82 "archived": true,
83 "externalId": "string",
84 "id": 0,
85 "nimBudgetId": 0,
86 "nimInvestmentAreaId": 0,
87 "nimBudgetDto": {},
88 "nimBudgetInvestmentAreaDto": {
89 "id": 0,
90 "createdOn": "2019-08-24T14:15:22Z",
91 "createdById": "string",
92 "modifiedOn": "2019-08-24T14:15:22Z",
93 "modifiedById": "string",
94 "createdByName": "string",
95 "lastModifiedByName": "string",
96 "amount": 0,
97 "originalCurrencyId": 0,
98 "originalCurrencyDisplayId": "string",
99 "originalAmount": 0,
100 "rate": 0,
101 "rateDate": "2019-08-24",
102 "investmentAreaId": 0,
103 "investmentArea": {
104 "id": 0,
105 "createdOn": "2019-08-24T14:15:22Z",
106 "createdById": "string",
107 "modifiedOn": "2019-08-24T14:15:22Z",
108 "modifiedById": "string",
109 "createdByName": "string",
110 "lastModifiedByName": "string",
111 "displayId": "string",
112 "name": "string",
113 "assetClasses": [
114 0
115 ]
116 },
117 "budgetYearDistributions": [
118 {
119 "id": 0,
120 "createdOn": "2019-08-24T14:15:22Z",
121 "createdById": "string",
122 "modifiedOn": "2019-08-24T14:15:22Z",
123 "modifiedById": "string",
124 "createdByName": "string",
125 "lastModifiedByName": "string",
126 "year": 0,
127 "amount": 0,
128 "originalCurrencyId": 0,
129 "originalCurrencyDisplayId": "string",
130 "originalAmount": 0,
131 "rate": 0,
132 "rateDate": "2019-08-24",
133 "spent": 0,
134 "budgetInvestmentAreaId": 0
135 }
136 ],
137 "investmentRequest": {
138 "id": 0,
139 "createdOn": "2019-08-24T14:15:22Z",
140 "createdById": "string",
141 "modifiedOn": "2019-08-24T14:15:22Z",
142 "modifiedById": "string",
143 "createdByName": "string",
144 "lastModifiedByName": "string",
145 "requestedAmount": 0,
146 "companyCurrency": "string",
147 "investmentAreaIds": [
148 0
149 ],
150 "requestCategoryId": 0,
151 "displayId": "string",
152 "leaseAreaId": 0,
153 "leaseAreaDisplayId": "string",
154 "leaseAreaName": "string",
155 "businessUnitId": 0,
156 "businessUnitDisplayId": "string",
157 "companyId": 0,
158 "companyDisplayId": "string",
159 "departmentId": 0,
160 "departmentDisplayId": "string",
161 "title": "string",
162 "investmentCurrencyId": 0,
163 "investmentCurrencyDisplayId": "string",
164 "companyCurrencyId": 0,
165 "companyCurrencyDisplayId": "string",
166 "reportingCurrencyId": 0,
167 "reportingCurrencyDisplayId": "string",
168 "masterInvestmentRequestId": 0,
169 "inceptionExchangeRate": 0,
170 "exchangeRateValidFrom": "2019-08-24",
171 "weightedAverageExchangeRate": 0,
172 "status": "DRAFT",
173 "workflowStepName": "string",
174 "description": "string",
175 "justification": "string",
176 "totalRequestedAmount": 0,
177 "totalExpense": 0,
178 "totalSpent": 0,
179 "originalRequestedAmount": 0,
180 "modifiedAmount": 0,
181 "currentAvailable": 0,
182 "modificationId": 0,
183 "requestCategory": {
184 "id": 0,
185 "createdOn": "2019-08-24T14:15:22Z",
186 "createdById": "string",
187 "modifiedOn": "2019-08-24T14:15:22Z",
188 "modifiedById": "string",
189 "createdByName": "string",
190 "lastModifiedByName": "string",
191 "displayId": "string",
192 "title": "string",
193 "subTitle": "string",
194 "icon": "string",
195 "budgetTitle": "string",
196 "budgetSubTitle": "string",
197 "investmentTitle": "string",
198 "investmentSubTitle": "string"
199 },
200 "expectedInitiationDate": "2019-08-24",
201 "expectedCompletionDate": "2019-08-24",
202 "actualInitiationDate": "2019-08-24",
203 "actualCompletionDate": "2019-08-24",
204 "requestUrgency": "string",
205 "leaseArea": {
206 "id": 0,
207 "status": "CREATED",
208 "displayId": "string",
209 "name": "string",
210 "businessUnitId": 0
211 },
212 "businessUnit": {
213 "id": 0,
214 "status": "CREATED",
215 "displayId": "string",
216 "name": "string",
217 "leaseAreaId": 0,
218 "companyId": 0
219 },
220 "company": {
221 "id": 0,
222 "status": "CREATED",
223 "displayId": "string",
224 "erpSystemId": 0,
225 "erpSystemDisplayId": "string",
226 "countryId": 0,
227 "countryDisplayId": "string",
228 "postingPeriodVariantId": 0,
229 "name": "string",
230 "postingPeriodVariantDisplayId": "string",
231 "controllingAreaId": 0,
232 "controllingAreaDisplayId": "string",
233 "chartOfAccountId": 0,
234 "chartOfAccountDisplayId": "string",
235 "fiscalVariantId": 0,
236 "fiscalVariantDisplayId": "string",
237 "chartOfDepreciationId": 0,
238 "chartOfDepreciationDisplayId": "string",
239 "purchasingOrganizationId": 0,
240 "assetId": 0,
241 "exchangeRateTypeId": 0,
242 "plantId": 0,
243 "incrementalBorrowingRateId": 0,
244 "businessUnitId": 0,
245 "projectId": 0,
246 "transferVariantId": 0,
247 "partnerId": 0,
248 "departmentId": 0,
249 "accountingStandardId": 0,
250 "generalLedgerAccountId": 0,
251 "consumerPriceIndexCategoryId": 0,
252 "costCenterId": 0,
253 "costCenterRelationValidFrom": "2019-08-24",
254 "costCenterRelationValidTo": "2019-08-24"
255 },
256 "department": {
257 "id": 0,
258 "status": "CREATED",
259 "displayId": "string",
260 "name": "string",
261 "companyId": 0,
262 "leaseGroupId": 0
263 },
264 "linkedBudgets": [
265 {
266 "id": 0,
267 "createdOn": "2019-08-24T14:15:22Z",
268 "createdById": "string",
269 "modifiedOn": "2019-08-24T14:15:22Z",
270 "modifiedById": "string",
271 "createdByName": "string",
272 "lastModifiedByName": "string",
273 "requestCategoryId": 0,
274 "year": 0,
275 "displayId": "string",
276 "project": "string",
277 "requestCategory": {
278 "id": 0,
279 "createdOn": "2019-08-24T14:15:22Z",
280 "createdById": "string",
281 "modifiedOn": "2019-08-24T14:15:22Z",
282 "modifiedById": "string",
283 "createdByName": "string",
284 "lastModifiedByName": "string",
285 "displayId": "string",
286 "title": "string",
287 "subTitle": "string",
288 "icon": "string",
289 "budgetTitle": "string",
290 "budgetSubTitle": "string",
291 "investmentTitle": "string",
292 "investmentSubTitle": "string"
293 }
294 }
295 ],
296 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
297 0
298 ]
299 },
300 "investmentRequests": [
301 {
302 "id": 0,
303 "createdOn": "2019-08-24T14:15:22Z",
304 "createdById": "string",
305 "modifiedOn": "2019-08-24T14:15:22Z",
306 "modifiedById": "string",
307 "createdByName": "string",
308 "lastModifiedByName": "string",
309 "requestedAmount": 0,
310 "companyCurrency": "string",
311 "investmentAreaIds": [
312 0
313 ],
314 "requestCategoryId": 0,
315 "displayId": "string",
316 "leaseAreaId": 0,
317 "leaseAreaDisplayId": "string",
318 "leaseAreaName": "string",
319 "businessUnitId": 0,
320 "businessUnitDisplayId": "string",
321 "companyId": 0,
322 "companyDisplayId": "string",
323 "departmentId": 0,
324 "departmentDisplayId": "string",
325 "title": "string",
326 "investmentCurrencyId": 0,
327 "investmentCurrencyDisplayId": "string",
328 "companyCurrencyId": 0,
329 "companyCurrencyDisplayId": "string",
330 "reportingCurrencyId": 0,
331 "reportingCurrencyDisplayId": "string",
332 "masterInvestmentRequestId": 0,
333 "inceptionExchangeRate": 0,
334 "exchangeRateValidFrom": "2019-08-24",
335 "weightedAverageExchangeRate": 0,
336 "status": "DRAFT",
337 "workflowStepName": "string",
338 "description": "string",
339 "justification": "string",
340 "totalRequestedAmount": 0,
341 "totalExpense": 0,
342 "totalSpent": 0,
343 "originalRequestedAmount": 0,
344 "modifiedAmount": 0,
345 "currentAvailable": 0,
346 "modificationId": 0,
347 "requestCategory": {
348 "id": 0,
349 "createdOn": "2019-08-24T14:15:22Z",
350 "createdById": "string",
351 "modifiedOn": "2019-08-24T14:15:22Z",
352 "modifiedById": "string",
353 "createdByName": "string",
354 "lastModifiedByName": "string",
355 "displayId": "string",
356 "title": "string",
357 "subTitle": "string",
358 "icon": "string",
359 "budgetTitle": "string",
360 "budgetSubTitle": "string",
361 "investmentTitle": "string",
362 "investmentSubTitle": "string"
363 },
364 "expectedInitiationDate": "2019-08-24",
365 "expectedCompletionDate": "2019-08-24",
366 "actualInitiationDate": "2019-08-24",
367 "actualCompletionDate": "2019-08-24",
368 "requestUrgency": "string",
369 "leaseArea": {
370 "id": 0,
371 "status": "CREATED",
372 "displayId": "string",
373 "name": "string",
374 "businessUnitId": 0
375 },
376 "businessUnit": {
377 "id": 0,
378 "status": "CREATED",
379 "displayId": "string",
380 "name": "string",
381 "leaseAreaId": 0,
382 "companyId": 0
383 },
384 "company": {
385 "id": 0,
386 "status": "CREATED",
387 "displayId": "string",
388 "erpSystemId": 0,
389 "erpSystemDisplayId": "string",
390 "countryId": 0,
391 "countryDisplayId": "string",
392 "postingPeriodVariantId": 0,
393 "name": "string",
394 "postingPeriodVariantDisplayId": "string",
395 "controllingAreaId": 0,
396 "controllingAreaDisplayId": "string",
397 "chartOfAccountId": 0,
398 "chartOfAccountDisplayId": "string",
399 "fiscalVariantId": 0,
400 "fiscalVariantDisplayId": "string",
401 "chartOfDepreciationId": 0,
402 "chartOfDepreciationDisplayId": "string",
403 "purchasingOrganizationId": 0,
404 "assetId": 0,
405 "exchangeRateTypeId": 0,
406 "plantId": 0,
407 "incrementalBorrowingRateId": 0,
408 "businessUnitId": 0,
409 "projectId": 0,
410 "transferVariantId": 0,
411 "partnerId": 0,
412 "departmentId": 0,
413 "accountingStandardId": 0,
414 "generalLedgerAccountId": 0,
415 "consumerPriceIndexCategoryId": 0,
416 "costCenterId": 0,
417 "costCenterRelationValidFrom": "2019-08-24",
418 "costCenterRelationValidTo": "2019-08-24"
419 },
420 "department": {
421 "id": 0,
422 "status": "CREATED",
423 "displayId": "string",
424 "name": "string",
425 "companyId": 0,
426 "leaseGroupId": 0
427 },
428 "linkedBudgets": [
429 {
430 "id": 0,
431 "createdOn": "2019-08-24T14:15:22Z",
432 "createdById": "string",
433 "modifiedOn": "2019-08-24T14:15:22Z",
434 "modifiedById": "string",
435 "createdByName": "string",
436 "lastModifiedByName": "string",
437 "requestCategoryId": 0,
438 "year": 0,
439 "displayId": "string",
440 "project": "string",
441 "requestCategory": {
442 "id": 0,
443 "createdOn": "2019-08-24T14:15:22Z",
444 "createdById": "string",
445 "modifiedOn": "2019-08-24T14:15:22Z",
446 "modifiedById": "string",
447 "createdByName": "string",
448 "lastModifiedByName": "string",
449 "displayId": "string",
450 "title": "string",
451 "subTitle": "string",
452 "icon": "string",
453 "budgetTitle": "string",
454 "budgetSubTitle": "string",
455 "investmentTitle": "string",
456 "investmentSubTitle": "string"
457 }
458 }
459 ],
460 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
461 0
462 ]
463 }
464 ],
465 "totalSpent": 0,
466 "totalReserved": 0,
467 "budgetBalance": 0
468 },
469 "nimInvestmentAreaDto": {
470 "id": 0,
471 "createdOn": "2019-08-24T14:15:22Z",
472 "createdById": "string",
473 "modifiedOn": "2019-08-24T14:15:22Z",
474 "modifiedById": "string",
475 "createdByName": "string",
476 "lastModifiedByName": "string",
477 "displayId": "string",
478 "name": "string",
479 "assetClasses": [
480 0
481 ]
482 }
483 }
484 ]
485 },
486 "expenseId": 0
487}
Nim Budget - Get Budget Investment Areas¶
HTTP Request
GET /api/nim-budgets/{budgetId}/investment-areas
📋 Description: Retrieves investment areas associated with a specific budget, enabling users to analyze asset allocation and portfolio performance within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
budgetId |
path |
integer(int64) |
true |
Unique identifier for the budget |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "createdOn": "2019-08-24T14:15:22Z",
5 "createdById": "string",
6 "modifiedOn": "2019-08-24T14:15:22Z",
7 "modifiedById": "string",
8 "createdByName": "string",
9 "lastModifiedByName": "string",
10 "amount": 0,
11 "originalCurrencyId": 0,
12 "originalCurrencyDisplayId": "string",
13 "originalAmount": 0,
14 "rate": 0,
15 "rateDate": "2019-08-24",
16 "investmentAreaId": 0,
17 "investmentArea": {
18 "id": 0,
19 "createdOn": "2019-08-24T14:15:22Z",
20 "createdById": "string",
21 "modifiedOn": "2019-08-24T14:15:22Z",
22 "modifiedById": "string",
23 "createdByName": "string",
24 "lastModifiedByName": "string",
25 "displayId": "string",
26 "name": "string",
27 "assetClasses": [
28 0
29 ]
30 },
31 "budgetYearDistributions": [
32 {
33 "id": 0,
34 "createdOn": "2019-08-24T14:15:22Z",
35 "createdById": "string",
36 "modifiedOn": "2019-08-24T14:15:22Z",
37 "modifiedById": "string",
38 "createdByName": "string",
39 "lastModifiedByName": "string",
40 "year": 0,
41 "amount": 0,
42 "originalCurrencyId": 0,
43 "originalCurrencyDisplayId": "string",
44 "originalAmount": 0,
45 "rate": 0,
46 "rateDate": "2019-08-24",
47 "spent": 0,
48 "budgetInvestmentAreaId": 0
49 }
50 ],
51 "investmentRequest": {
52 "id": 0,
53 "createdOn": "2019-08-24T14:15:22Z",
54 "createdById": "string",
55 "modifiedOn": "2019-08-24T14:15:22Z",
56 "modifiedById": "string",
57 "createdByName": "string",
58 "lastModifiedByName": "string",
59 "requestedAmount": 0,
60 "companyCurrency": "string",
61 "investmentAreaIds": [
62 0
63 ],
64 "requestCategoryId": 0,
65 "displayId": "string",
66 "leaseAreaId": 0,
67 "leaseAreaDisplayId": "string",
68 "leaseAreaName": "string",
69 "businessUnitId": 0,
70 "businessUnitDisplayId": "string",
71 "companyId": 0,
72 "companyDisplayId": "string",
73 "departmentId": 0,
74 "departmentDisplayId": "string",
75 "title": "string",
76 "investmentCurrencyId": 0,
77 "investmentCurrencyDisplayId": "string",
78 "companyCurrencyId": 0,
79 "companyCurrencyDisplayId": "string",
80 "reportingCurrencyId": 0,
81 "reportingCurrencyDisplayId": "string",
82 "masterInvestmentRequestId": 0,
83 "inceptionExchangeRate": 0,
84 "exchangeRateValidFrom": "2019-08-24",
85 "weightedAverageExchangeRate": 0,
86 "status": "DRAFT",
87 "workflowStepName": "string",
88 "description": "string",
89 "justification": "string",
90 "totalRequestedAmount": 0,
91 "totalExpense": 0,
92 "totalSpent": 0,
93 "originalRequestedAmount": 0,
94 "modifiedAmount": 0,
95 "currentAvailable": 0,
96 "modificationId": 0,
97 "requestCategory": {
98 "id": 0,
99 "createdOn": "2019-08-24T14:15:22Z",
100 "createdById": "string",
101 "modifiedOn": "2019-08-24T14:15:22Z",
102 "modifiedById": "string",
103 "createdByName": "string",
104 "lastModifiedByName": "string",
105 "displayId": "string",
106 "title": "string",
107 "subTitle": "string",
108 "icon": "string",
109 "budgetTitle": "string",
110 "budgetSubTitle": "string",
111 "investmentTitle": "string",
112 "investmentSubTitle": "string"
113 },
114 "expectedInitiationDate": "2019-08-24",
115 "expectedCompletionDate": "2019-08-24",
116 "actualInitiationDate": "2019-08-24",
117 "actualCompletionDate": "2019-08-24",
118 "requestUrgency": "string",
119 "leaseArea": {
120 "id": 0,
121 "status": "CREATED",
122 "displayId": "string",
123 "name": "string",
124 "businessUnitId": 0
125 },
126 "businessUnit": {
127 "id": 0,
128 "status": "CREATED",
129 "displayId": "string",
130 "name": "string",
131 "leaseAreaId": 0,
132 "companyId": 0
133 },
134 "company": {
135 "id": 0,
136 "status": "CREATED",
137 "displayId": "string",
138 "erpSystemId": 0,
139 "erpSystemDisplayId": "string",
140 "countryId": 0,
141 "countryDisplayId": "string",
142 "postingPeriodVariantId": 0,
143 "name": "string",
144 "postingPeriodVariantDisplayId": "string",
145 "controllingAreaId": 0,
146 "controllingAreaDisplayId": "string",
147 "chartOfAccountId": 0,
148 "chartOfAccountDisplayId": "string",
149 "fiscalVariantId": 0,
150 "fiscalVariantDisplayId": "string",
151 "chartOfDepreciationId": 0,
152 "chartOfDepreciationDisplayId": "string",
153 "purchasingOrganizationId": 0,
154 "assetId": 0,
155 "exchangeRateTypeId": 0,
156 "plantId": 0,
157 "incrementalBorrowingRateId": 0,
158 "businessUnitId": 0,
159 "projectId": 0,
160 "transferVariantId": 0,
161 "partnerId": 0,
162 "departmentId": 0,
163 "accountingStandardId": 0,
164 "generalLedgerAccountId": 0,
165 "consumerPriceIndexCategoryId": 0,
166 "costCenterId": 0,
167 "costCenterRelationValidFrom": "2019-08-24",
168 "costCenterRelationValidTo": "2019-08-24"
169 },
170 "department": {
171 "id": 0,
172 "status": "CREATED",
173 "displayId": "string",
174 "name": "string",
175 "companyId": 0,
176 "leaseGroupId": 0
177 },
178 "linkedBudgets": [
179 {
180 "id": 0,
181 "createdOn": "2019-08-24T14:15:22Z",
182 "createdById": "string",
183 "modifiedOn": "2019-08-24T14:15:22Z",
184 "modifiedById": "string",
185 "createdByName": "string",
186 "lastModifiedByName": "string",
187 "requestCategoryId": 0,
188 "year": 0,
189 "displayId": "string",
190 "project": "string",
191 "requestCategory": {
192 "id": 0,
193 "createdOn": "2019-08-24T14:15:22Z",
194 "createdById": "string",
195 "modifiedOn": "2019-08-24T14:15:22Z",
196 "modifiedById": "string",
197 "createdByName": "string",
198 "lastModifiedByName": "string",
199 "displayId": "string",
200 "title": "string",
201 "subTitle": "string",
202 "icon": "string",
203 "budgetTitle": "string",
204 "budgetSubTitle": "string",
205 "investmentTitle": "string",
206 "investmentSubTitle": "string"
207 }
208 }
209 ],
210 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
211 0
212 ]
213 },
214 "investmentRequests": [
215 {
216 "id": 0,
217 "createdOn": "2019-08-24T14:15:22Z",
218 "createdById": "string",
219 "modifiedOn": "2019-08-24T14:15:22Z",
220 "modifiedById": "string",
221 "createdByName": "string",
222 "lastModifiedByName": "string",
223 "requestedAmount": 0,
224 "companyCurrency": "string",
225 "investmentAreaIds": [
226 0
227 ],
228 "requestCategoryId": 0,
229 "displayId": "string",
230 "leaseAreaId": 0,
231 "leaseAreaDisplayId": "string",
232 "leaseAreaName": "string",
233 "businessUnitId": 0,
234 "businessUnitDisplayId": "string",
235 "companyId": 0,
236 "companyDisplayId": "string",
237 "departmentId": 0,
238 "departmentDisplayId": "string",
239 "title": "string",
240 "investmentCurrencyId": 0,
241 "investmentCurrencyDisplayId": "string",
242 "companyCurrencyId": 0,
243 "companyCurrencyDisplayId": "string",
244 "reportingCurrencyId": 0,
245 "reportingCurrencyDisplayId": "string",
246 "masterInvestmentRequestId": 0,
247 "inceptionExchangeRate": 0,
248 "exchangeRateValidFrom": "2019-08-24",
249 "weightedAverageExchangeRate": 0,
250 "status": "DRAFT",
251 "workflowStepName": "string",
252 "description": "string",
253 "justification": "string",
254 "totalRequestedAmount": 0,
255 "totalExpense": 0,
256 "totalSpent": 0,
257 "originalRequestedAmount": 0,
258 "modifiedAmount": 0,
259 "currentAvailable": 0,
260 "modificationId": 0,
261 "requestCategory": {
262 "id": 0,
263 "createdOn": "2019-08-24T14:15:22Z",
264 "createdById": "string",
265 "modifiedOn": "2019-08-24T14:15:22Z",
266 "modifiedById": "string",
267 "createdByName": "string",
268 "lastModifiedByName": "string",
269 "displayId": "string",
270 "title": "string",
271 "subTitle": "string",
272 "icon": "string",
273 "budgetTitle": "string",
274 "budgetSubTitle": "string",
275 "investmentTitle": "string",
276 "investmentSubTitle": "string"
277 },
278 "expectedInitiationDate": "2019-08-24",
279 "expectedCompletionDate": "2019-08-24",
280 "actualInitiationDate": "2019-08-24",
281 "actualCompletionDate": "2019-08-24",
282 "requestUrgency": "string",
283 "leaseArea": {
284 "id": 0,
285 "status": "CREATED",
286 "displayId": "string",
287 "name": "string",
288 "businessUnitId": 0
289 },
290 "businessUnit": {
291 "id": 0,
292 "status": "CREATED",
293 "displayId": "string",
294 "name": "string",
295 "leaseAreaId": 0,
296 "companyId": 0
297 },
298 "company": {
299 "id": 0,
300 "status": "CREATED",
301 "displayId": "string",
302 "erpSystemId": 0,
303 "erpSystemDisplayId": "string",
304 "countryId": 0,
305 "countryDisplayId": "string",
306 "postingPeriodVariantId": 0,
307 "name": "string",
308 "postingPeriodVariantDisplayId": "string",
309 "controllingAreaId": 0,
310 "controllingAreaDisplayId": "string",
311 "chartOfAccountId": 0,
312 "chartOfAccountDisplayId": "string",
313 "fiscalVariantId": 0,
314 "fiscalVariantDisplayId": "string",
315 "chartOfDepreciationId": 0,
316 "chartOfDepreciationDisplayId": "string",
317 "purchasingOrganizationId": 0,
318 "assetId": 0,
319 "exchangeRateTypeId": 0,
320 "plantId": 0,
321 "incrementalBorrowingRateId": 0,
322 "businessUnitId": 0,
323 "projectId": 0,
324 "transferVariantId": 0,
325 "partnerId": 0,
326 "departmentId": 0,
327 "accountingStandardId": 0,
328 "generalLedgerAccountId": 0,
329 "consumerPriceIndexCategoryId": 0,
330 "costCenterId": 0,
331 "costCenterRelationValidFrom": "2019-08-24",
332 "costCenterRelationValidTo": "2019-08-24"
333 },
334 "department": {
335 "id": 0,
336 "status": "CREATED",
337 "displayId": "string",
338 "name": "string",
339 "companyId": 0,
340 "leaseGroupId": 0
341 },
342 "linkedBudgets": [
343 {
344 "id": 0,
345 "createdOn": "2019-08-24T14:15:22Z",
346 "createdById": "string",
347 "modifiedOn": "2019-08-24T14:15:22Z",
348 "modifiedById": "string",
349 "createdByName": "string",
350 "lastModifiedByName": "string",
351 "requestCategoryId": 0,
352 "year": 0,
353 "displayId": "string",
354 "project": "string",
355 "requestCategory": {
356 "id": 0,
357 "createdOn": "2019-08-24T14:15:22Z",
358 "createdById": "string",
359 "modifiedOn": "2019-08-24T14:15:22Z",
360 "modifiedById": "string",
361 "createdByName": "string",
362 "lastModifiedByName": "string",
363 "displayId": "string",
364 "title": "string",
365 "subTitle": "string",
366 "icon": "string",
367 "budgetTitle": "string",
368 "budgetSubTitle": "string",
369 "investmentTitle": "string",
370 "investmentSubTitle": "string"
371 }
372 }
373 ],
374 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
375 0
376 ]
377 }
378 ],
379 "totalSpent": 0,
380 "totalReserved": 0,
381 "budgetBalance": 0
382 }
383]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing the allocation of budget investments within specific areas of a portfolio, facilitating enhanced asset management and analytics for real estate properties in the Nakisa Portfolio Management Suite.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the budget investment area was created, providing essential context for portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
» createdById |
string |
false |
none |
Unique identifier for the created by |
» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date of the Budget Investment Area, facilitating tracking and analytics within the Nakisa Portfolio Management Suite. |
» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
» createdByName |
string |
false |
none |
Name of the created by |
» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
» amount |
number |
false |
none |
Amount value |
» originalCurrencyId |
integer(int64) |
false |
none |
Unique identifier for the original currency |
» originalCurrencyDisplayId |
string |
false |
none |
Unique identifier for the original currency display |
» originalAmount |
number |
false |
none |
Amount of original |
» rate |
number |
false |
none |
Rate value |
» rateDate |
string(date) |
false |
none |
Date of the rate |
» investmentAreaId |
integer(int64) |
false |
none |
Unique identifier for the investment area |
» investmentArea |
false |
none |
Data transfer object representing an investment area within the Nakisa Portfolio Management Suite, encompassing key attributes related to portfolio analysis, asset management, and real estate property analytics. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» createdOn |
string(date-time) |
false |
none |
Timestamp indicating when the investment area was created, providing essential context for portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
»» createdById |
string |
false |
none |
Unique identifier for the created by |
»» modifiedOn |
string(date-time) |
false |
none |
Timestamp indicating the last modification date and time of the investment area, relevant for tracking changes in portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
»» modifiedById |
string |
false |
none |
Unique identifier for the modified by |
»» createdByName |
string |
false |
none |
Name of the created by |
»» lastModifiedByName |
string |
false |
none |
Name of the last modified by |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» name |
string |
false |
none |
Name of the resource |
»» assetClasses |
[integer] |
false |
none |
List of assetClasses items |
» budgetYearDistributions |
false |
none |
List of budgetYearDistributions items |
|
»» id |
integer(int64) |
false |
none |
none |
»» createdOn |
string(date-time) |
false |
none |
none |
»» createdById |
string |
false |
none |
none |
»» modifiedOn |
string(date-time) |
false |
none |
none |
»» modifiedById |
string |
false |
none |
none |
»» createdByName |
string |
false |
none |
none |
»» lastModifiedByName |
string |
false |
none |
none |
»» year |
integer(int32) |
false |
none |
none |
»» amount |
number |
false |
none |
none |
»» originalCurrencyId |
integer(int64) |
false |
none |
none |
»» originalCurrencyDisplayId |
string |
false |
none |
none |
»» originalAmount |
number |
false |
none |
none |
»» rate |
number |
false |
none |
none |
»» rateDate |
string(date) |
false |
none |
none |
»» spent |
number |
false |
none |
none |
»» budgetInvestmentAreaId |
integer(int64) |
false |
none |
none |
» investmentRequest |
false |
none |
none |
|
»» id |
integer(int64) |
false |
none |
none |
»» createdOn |
string(date-time) |
false |
none |
none |
»» createdById |
string |
false |
none |
none |
»» modifiedOn |
string(date-time) |
false |
none |
none |
»» modifiedById |
string |
false |
none |
none |
»» createdByName |
string |
false |
none |
none |
»» lastModifiedByName |
string |
false |
none |
none |
»» requestedAmount |
number |
false |
none |
none |
»» companyCurrency |
string |
false |
none |
none |
»» investmentAreaIds |
[integer] |
false |
none |
none |
»» requestCategoryId |
integer(int64) |
false |
none |
none |
»» displayId |
string |
false |
none |
none |
»» leaseAreaId |
integer(int64) |
false |
none |
none |
»» leaseAreaDisplayId |
string |
false |
none |
none |
»» leaseAreaName |
string |
false |
none |
none |
»» businessUnitId |
integer(int64) |
false |
none |
none |
»» businessUnitDisplayId |
string |
false |
none |
none |
»» companyId |
integer(int64) |
false |
none |
none |
»» companyDisplayId |
string |
false |
none |
none |
»» departmentId |
integer(int64) |
false |
none |
none |
»» departmentDisplayId |
string |
false |
none |
none |
»» title |
string |
false |
none |
none |
»» investmentCurrencyId |
integer(int64) |
false |
none |
none |
»» investmentCurrencyDisplayId |
string |
false |
none |
none |
»» companyCurrencyId |
integer(int64) |
false |
none |
none |
»» companyCurrencyDisplayId |
string |
false |
none |
none |
»» reportingCurrencyId |
integer(int64) |
false |
none |
none |
»» reportingCurrencyDisplayId |
string |
false |
none |
none |
»» masterInvestmentRequestId |
integer(int64) |
false |
none |
none |
»» inceptionExchangeRate |
number |
false |
none |
none |
»» exchangeRateValidFrom |
string(date) |
false |
none |
none |
»» weightedAverageExchangeRate |
number |
false |
none |
none |
»» status |
string |
false |
none |
none |
»» workflowStepName |
string |
false |
none |
none |
»» description |
string |
false |
none |
none |
»» justification |
string |
false |
none |
none |
»» totalRequestedAmount |
number |
false |
none |
none |
»» totalExpense |
number |
false |
none |
none |
»» totalSpent |
number |
false |
none |
none |
»» originalRequestedAmount |
number |
false |
none |
none |
»» modifiedAmount |
number |
false |
none |
none |
»» currentAvailable |
number |
false |
none |
none |
»» modificationId |
integer(int64) |
false |
none |
none |
»» requestCategory |
false |
none |
none |
|
»»» id |
integer(int64) |
false |
none |
none |
»»» createdOn |
string(date-time) |
false |
none |
none |
»»» createdById |
string |
false |
none |
none |
»»» modifiedOn |
string(date-time) |
false |
none |
none |
»»» modifiedById |
string |
false |
none |
none |
»»» createdByName |
string |
false |
none |
none |
»»» lastModifiedByName |
string |
false |
none |
none |
»»» displayId |
string |
false |
none |
none |
»»» title |
string |
false |
none |
none |
»»» subTitle |
string |
false |
none |
none |
»»» icon |
string |
false |
none |
none |
»»» budgetTitle |
string |
false |
none |
none |
»»» budgetSubTitle |
string |
false |
none |
none |
»»» investmentTitle |
string |
false |
none |
none |
»»» investmentSubTitle |
string |
false |
none |
none |
»» expectedInitiationDate |
string(date) |
false |
none |
none |
»» expectedCompletionDate |
string(date) |
false |
none |
none |
»» actualInitiationDate |
string(date) |
false |
none |
none |
»» actualCompletionDate |
string(date) |
false |
none |
none |
»» requestUrgency |
string |
false |
none |
none |
»» leaseArea |
false |
none |
Data transfer object representing a defined lease area within the Nakisa Portfolio Management Suite, encapsulating essential details for portfolio analysis and asset management in the real estate sector. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» status |
string |
false |
none |
Status of the resource |
»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»» name |
string |
true |
none |
Name of the resource |
»»» businessUnitId |
integer(int64) |
false |
none |
Unique identifier for the business unit |
»» businessUnit |
false |
none |
Data transfer object representing a business unit within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio management, asset tracking, analytics, and real estate properties. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» status |
string |
false |
none |
Status of the resource |
»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»» name |
string |
true |
none |
Name of the resource |
»»» leaseAreaId |
integer(int64) |
false |
none |
Unique identifier for the lease area |
»»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»» company |
false |
none |
Data transfer object representing a company within the Nakisa Portfolio Management Suite, encapsulating essential information related to portfolio assets, analytics, and real estate properties. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» status |
string |
false |
none |
Status of the resource |
»»» displayId |
string |
true |
none |
Unique identifier for the display |
»»» erpSystemId |
integer(int64) |
false |
none |
Unique identifier for the erp system |
»»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»»» countryId |
integer(int64) |
false |
none |
Unique identifier for the country |
»»» countryDisplayId |
string |
false |
none |
Unique identifier for the country display |
»»» postingPeriodVariantId |
integer(int64) |
false |
none |
Unique identifier for the posting period variant |
»»» name |
string |
false |
none |
none |
»»» postingPeriodVariantDisplayId |
string |
false |
none |
Unique identifier for the posting period variant display |
»»» controllingAreaId |
integer(int64) |
false |
none |
Unique identifier for the controlling area |
»»» controllingAreaDisplayId |
string |
false |
none |
Unique identifier for the controlling area display |
»»» chartOfAccountId |
integer(int64) |
false |
none |
Unique identifier for the chart of account |
»»» chartOfAccountDisplayId |
string |
false |
none |
Unique identifier for the chart of account display |
»»» fiscalVariantId |
integer(int64) |
false |
none |
Unique identifier for the fiscal variant |
»»» fiscalVariantDisplayId |
string |
false |
none |
Unique identifier for the fiscal variant display |
»»» chartOfDepreciationId |
integer(int64) |
false |
none |
Unique identifier for the chart of depreciation |
»»» chartOfDepreciationDisplayId |
string |
false |
none |
Unique identifier for the chart of depreciation display |
»»» purchasingOrganizationId |
integer(int64) |
false |
none |
Unique identifier for the purchasing organization |
»»» assetId |
integer(int64) |
false |
none |
Unique identifier for the asset |
»»» exchangeRateTypeId |
integer(int64) |
false |
none |
Unique identifier for the exchange rate type |
»»» plantId |
integer(int64) |
false |
none |
Unique identifier for the plant |
»»» incrementalBorrowingRateId |
integer(int64) |
false |
none |
Unique identifier for the incremental borrowing rate |
»»» businessUnitId |
integer(int64) |
false |
none |
Unique identifier for the business unit |
»»» projectId |
integer(int64) |
false |
none |
Unique identifier for the project |
»»» transferVariantId |
integer(int64) |
false |
none |
Unique identifier for the transfer variant |
»»» partnerId |
integer(int64) |
false |
none |
Unique identifier for the partner |
»»» departmentId |
integer(int64) |
false |
none |
Unique identifier for the department |
»»» accountingStandardId |
integer(int64) |
false |
none |
Unique identifier for the accounting standard |
»»» generalLedgerAccountId |
integer(int64) |
false |
none |
Unique identifier for the general ledger account |
»»» consumerPriceIndexCategoryId |
integer(int64) |
false |
none |
Unique identifier for the consumer price index category |
»»» costCenterId |
integer(int64) |
false |
none |
Unique identifier for the cost center |
»»» costCenterRelationValidFrom |
string(date) |
false |
none |
Indicates the effective date from which the cost center relationship is valid, facilitating accurate portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
»»» costCenterRelationValidTo |
string(date) |
false |
none |
Indicates the expiration date of the cost center relationship, essential for managing portfolio and asset allocations within the Nakisa Portfolio Management Suite. |
»» department |
false |
none |
none |
|
»»» id |
integer(int64) |
false |
none |
none |
»»» status |
string |
false |
none |
none |
»»» displayId |
string |
true |
none |
none |
»»» name |
string |
true |
none |
none |
»»» companyId |
integer(int64) |
false |
none |
none |
»»» leaseGroupId |
integer(int64) |
false |
none |
none |
»» linkedBudgets |
false |
none |
none |
|
»»» id |
integer(int64) |
false |
none |
none |
»»» createdOn |
string(date-time) |
false |
none |
none |
»»» createdById |
string |
false |
none |
none |
»»» modifiedOn |
string(date-time) |
false |
none |
none |
»»» modifiedById |
string |
false |
none |
none |
»»» createdByName |
string |
false |
none |
none |
»»» lastModifiedByName |
string |
false |
none |
none |
»»» requestCategoryId |
integer(int64) |
false |
none |
none |
»»» year |
integer(int32) |
false |
none |
none |
»»» displayId |
string |
false |
none |
none |
»»» project |
string |
false |
none |
none |
»»» requestCategory |
false |
none |
none |
|
»» investmentRequestToInvestmentAreaIdsLinkedToBudget |
[integer] |
false |
none |
none |
» investmentRequests |
false |
none |
none |
|
» totalSpent |
number |
false |
none |
Value for totalSpent field |
» totalReserved |
number |
false |
none |
Value for totalReserved field |
» budgetBalance |
number |
false |
none |
Value for budgetBalance field |
Enumerated Values
Attribute |
Value |
|---|---|
status |
ACTIVE, APPROVED, CREATED, DECOMMISSIONED, DISABLED, DRAFT, MODIFICATION, REJECTED, REWORK, SUBMITTED |